Bug 2118847 (CVE-2022-2867) - CVE-2022-2867 libtiff: uint32_t underflow leads to out of bounds read and write in tiffcrop.c
Summary: CVE-2022-2867 libtiff: uint32_t underflow leads to out of bounds read and wri...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-2867
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2118853 2118854 2118855 2118857 2118850 2118851 2118852 2118856 2118858 2140589
Blocks: 2118841
TreeView+ depends on / blocked
 
Reported: 2022-08-16 23:11 UTC by Todd Cullum
Modified: 2023-01-14 09:00 UTC (History)
8 users (show)

Fixed In Version: libtiff 4.4.0rc1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in libtiff's tiffcrop utility that has a uint32_t underflow that can lead to an out-of-bounds read and write. This flaw allows an attacker who supplies a crafted file to tiffcrop (likely via tricking a user to run tiffcrop on it with certain parameters)to cause a crash or, in some cases, further exploitation.
Clone Of:
Environment:
Last Closed: 2023-01-14 09:00:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:0095 0 None None None 2023-01-12 09:17:18 UTC

Description Todd Cullum 2022-08-16 23:11:21 UTC
In libtiff's tiffcrop utility, a uint32_t underflow results in an out-of-bounds read and write in extractContigSamples8bits and extractContigSamplesShifted32bits of tiffcrop.c.

References:
https://gitlab.com/libtiff/libtiff/-/issues/350
https://gitlab.com/libtiff/libtiff/-/issues/351
https://gitlab.com/libtiff/libtiff/-/merge_requests/294/diffs?commit_id=7d7bfa4416366ec64068ac389414241ed4730a54

Comment 1 Todd Cullum 2022-08-16 23:26:20 UTC
Created iv tracking bugs for this issue:

Affects: fedora-35 [bug 2118851]
Affects: fedora-36 [bug 2118853]


Created libtiff tracking bugs for this issue:

Affects: fedora-35 [bug 2118850]
Affects: fedora-36 [bug 2118854]


Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-35 [bug 2118852]
Affects: fedora-36 [bug 2118855]

Comment 3 errata-xmlrpc 2023-01-12 09:17:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:0095 https://access.redhat.com/errata/RHSA-2023:0095

Comment 4 Product Security DevOps Team 2023-01-14 09:00:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-2867


Note You need to log in before you can comment on or make changes to this bug.